## realmd 0.17.1

=== Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.






am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/realmd
pkgincludedir = $(includedir)/realmd
pkglibdir = $(libdir)/realmd
pkglibexecdir = $(libexecdir)/realmd
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
TESTS = $(am__EXEEXT_2)
check_PROGRAMS = $(am__EXEEXT_2)
noinst_PROGRAMS = frob-install-packages$(EXEEXT) $(am__EXEEXT_1)
private_PROGRAMS =
sbin_PROGRAMS = realm$(EXEEXT)
libexec_PROGRAMS = realmd$(EXEEXT)
am__append_1 = \
	doc/manual/realm.8

am__append_2 = \
	doc/manual/realmd.conf.5


# ------------------------------------------------------------
# Docs
#
am__append_3 = doc/privatedir.xml.in \
	$(MANUAL_DOCBOOK) $(MANUAL_INCLUDES) \
	$(MAN_IN_FILES) $(MANUAL_XSLT) \
	doc/manual/static $(NULL) $(INTERNAL_DOCBOOK) \
	$(INTERNAL_PARAMS) $(INTERNAL_INCLUDES) \
	$(SVG_IMAGES) doc/internals/static $(NULL) \
	doc/version.xml.in doc/version.xml
am__append_4 =  \
	realmd-org.freedesktop.realmd.generated \
	doc/privatedir.xml $(DBUS_DOC_GENERATED) \
	$(DBUS_ESCAPED) $(man8_MANS) $(man5_MANS) \
	manual/index.html *.tmp $(NULL) \
	internals/realmd-internals.html $(NULL) \
	html/*
am__append_5 = \
	doc/website/Makefile

subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/build/m4/gettext.m4 \
	$(top_srcdir)/build/m4/iconv.m4 \
	$(top_srcdir)/build/m4/intlmacosx.m4 \
	$(top_srcdir)/build/m4/lib-ld.m4 \
	$(top_srcdir)/build/m4/lib-link.m4 \
	$(top_srcdir)/build/m4/lib-prefix.m4 \
	$(top_srcdir)/build/m4/nls.m4 $(top_srcdir)/build/m4/po.m4 \
	$(top_srcdir)/build/m4/progtest.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(am__DIST_COMMON)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = doc/version.xml
CONFIG_CLEAN_VPATH_FILES =
am__EXEEXT_1 =
am__EXEEXT_2 = test-dn-util$(EXEEXT) test-ini-config$(EXEEXT) \
	test-sssd-config$(EXEEXT) test-safe-format$(EXEEXT) \
	test-login-name$(EXEEXT) test-settings$(EXEEXT) \
	$(am__EXEEXT_1)
am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(privatedir)" \
	"$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man5dir)" \
	"$(DESTDIR)$(man8dir)" "$(DESTDIR)$(dbusservicedir)" \
	"$(DESTDIR)$(polkit_policydir)" "$(DESTDIR)$(privatedir)" \
	"$(DESTDIR)$(servicedir)" "$(DESTDIR)$(systemdunitdir)"
PROGRAMS = $(libexec_PROGRAMS) $(noinst_PROGRAMS) $(private_PROGRAMS) \
	$(sbin_PROGRAMS)
LIBRARIES = $(noinst_LIBRARIES)
AR = ar
ARFLAGS = cru
AM_V_AR = $(am__v_AR_$(V))
am__v_AR_ = $(am__v_AR_$(AM_DEFAULT_VERBOSITY))
am__v_AR_0 = @echo "  AR      " $@;
am__v_AR_1 = 
librealm_dbus_a_AR = $(AR) $(ARFLAGS)
librealm_dbus_a_LIBADD =
am__objects_1 =
am_librealm_dbus_a_OBJECTS = $(am__objects_1)
am__objects_2 = librealm_dbus_a-realm-dbus-generated.$(OBJEXT) \
	$(am__objects_1)
nodist_librealm_dbus_a_OBJECTS = $(am__objects_2) $(am__objects_1)
librealm_dbus_a_OBJECTS = $(am_librealm_dbus_a_OBJECTS) \
	$(nodist_librealm_dbus_a_OBJECTS)
am__dirstamp = $(am__leading_dot)dirstamp
am_frob_install_packages_OBJECTS =  \
	tests/frob_install_packages-frob-install-packages.$(OBJEXT) \
	service/frob_install_packages-realm-packages.$(OBJEXT) \
	service/frob_install_packages-realm-settings.$(OBJEXT) \
	service/frob_install_packages-realm-errors.$(OBJEXT) \
	$(am__objects_1)
frob_install_packages_OBJECTS = $(am_frob_install_packages_OBJECTS)
am__DEPENDENCIES_1 =
am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1)
frob_install_packages_DEPENDENCIES = $(am__DEPENDENCIES_2) \
	$(am__DEPENDENCIES_1)
frob_install_packages_LINK = $(CCLD) $(frob_install_packages_CFLAGS) \
	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
am_realm_OBJECTS = tools/realm-realm.$(OBJEXT) \
	tools/realm-realm-client.$(OBJEXT) \
	tools/realm-realm-discover.$(OBJEXT) \
	tools/realm-realm-join.$(OBJEXT) \
	tools/realm-realm-leave.$(OBJEXT) \
	tools/realm-realm-logins.$(OBJEXT) $(am__objects_1)
realm_OBJECTS = $(am_realm_OBJECTS)
realm_DEPENDENCIES = librealm-dbus.a $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
realm_LINK = $(CCLD) $(realm_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
am_realmd_OBJECTS = service/realmd-realm-adcli-enroll.$(OBJEXT) \
	service/realmd-realm-all-provider.$(OBJEXT) \
	service/realmd-realm-command.$(OBJEXT) \
	service/realmd-realm-credential.$(OBJEXT) \
	service/realmd-realm-daemon.$(OBJEXT) \
	service/realmd-realm-diagnostics.$(OBJEXT) \
	service/realmd-realm-disco.$(OBJEXT) \
	service/realmd-realm-disco-dns.$(OBJEXT) \
	service/realmd-realm-disco-domain.$(OBJEXT) \
	service/realmd-realm-disco-mscldap.$(OBJEXT) \
	service/realmd-realm-disco-rootdse.$(OBJEXT) \
	service/realmd-realm-dn-util.$(OBJEXT) \
	service/realmd-realm-errors.$(OBJEXT) \
	service/realmd-realm-example.$(OBJEXT) \
	service/realmd-realm-example-provider.$(OBJEXT) \
	service/realmd-realm-ini-config.$(OBJEXT) \
	service/realmd-realm-invocation.$(OBJEXT) \
	service/realmd-realm-kerberos.$(OBJEXT) \
	service/realmd-realm-kerberos-config.$(OBJEXT) \
	service/realmd-realm-kerberos-membership.$(OBJEXT) \
	service/realmd-realm-kerberos-provider.$(OBJEXT) \
	service/realmd-realm-ldap.$(OBJEXT) \
	service/realmd-realm-login-name.$(OBJEXT) \
	service/realmd-realm-network.$(OBJEXT) \
	service/realmd-realm-options.$(OBJEXT) \
	service/realmd-realm-packages.$(OBJEXT) \
	service/realmd-realm-provider.$(OBJEXT) \
	service/realmd-realm-samba.$(OBJEXT) \
	service/realmd-realm-samba-config.$(OBJEXT) \
	service/realmd-realm-samba-enroll.$(OBJEXT) \
	service/realmd-realm-samba-provider.$(OBJEXT) \
	service/realmd-realm-samba-winbind.$(OBJEXT) \
	service/realmd-realm-service.$(OBJEXT) \
	service/realmd-realm-settings.$(OBJEXT) \
	service/realmd-realm-sssd.$(OBJEXT) \
	service/realmd-realm-sssd-ad.$(OBJEXT) \
	service/realmd-realm-sssd-provider.$(OBJEXT) \
	service/realmd-realm-sssd-config.$(OBJEXT) \
	service/realmd-realm-sssd-ipa.$(OBJEXT) \
	service/realmd-realm-usleep-async.$(OBJEXT) \
	service/realmd-safe-format-string.$(OBJEXT) $(am__objects_1)
realmd_OBJECTS = $(am_realmd_OBJECTS)
realmd_DEPENDENCIES = librealm-dbus.a $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
realmd_LINK = $(CCLD) $(realmd_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
am_test_dn_util_OBJECTS = tests/test_dn_util-test-dn-util.$(OBJEXT) \
	service/test_dn_util-realm-dn-util.$(OBJEXT) $(am__objects_1)
test_dn_util_OBJECTS = $(am_test_dn_util_OBJECTS)
test_dn_util_DEPENDENCIES = $(am__DEPENDENCIES_2)
test_dn_util_LINK = $(CCLD) $(test_dn_util_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
am_test_ini_config_OBJECTS =  \
	tests/test_ini_config-test-ini-config.$(OBJEXT) \
	service/test_ini_config-realm-ini-config.$(OBJEXT) \
	service/test_ini_config-realm-samba-config.$(OBJEXT) \
	service/test_ini_config-realm-settings.$(OBJEXT) \
	$(am__objects_1)
test_ini_config_OBJECTS = $(am_test_ini_config_OBJECTS)
test_ini_config_DEPENDENCIES = $(am__DEPENDENCIES_2)
test_ini_config_LINK = $(CCLD) $(test_ini_config_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
am_test_login_name_OBJECTS =  \
	tests/test_login_name-test-login-name.$(OBJEXT) \
	service/test_login_name-realm-login-name.$(OBJEXT) \
	$(am__objects_1)
test_login_name_OBJECTS = $(am_test_login_name_OBJECTS)
test_login_name_DEPENDENCIES = $(am__DEPENDENCIES_2)
test_login_name_LINK = $(CCLD) $(test_login_name_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
am_test_safe_format_OBJECTS =  \
	tests/test_safe_format-test-safe-format.$(OBJEXT) \
	service/test_safe_format-safe-format-string.$(OBJEXT) \
	$(am__objects_1)
test_safe_format_OBJECTS = $(am_test_safe_format_OBJECTS)
test_safe_format_DEPENDENCIES = $(am__DEPENDENCIES_2)
test_safe_format_LINK = $(CCLD) $(test_safe_format_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
am_test_settings_OBJECTS =  \
	tests/test_settings-test-settings.$(OBJEXT) \
	service/test_settings-realm-settings.$(OBJEXT) \
	$(am__objects_1)
test_settings_OBJECTS = $(am_test_settings_OBJECTS)
test_settings_DEPENDENCIES = $(am__DEPENDENCIES_2)
test_settings_LINK = $(CCLD) $(test_settings_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
am_test_sssd_config_OBJECTS =  \
	tests/test_sssd_config-test-sssd-config.$(OBJEXT) \
	service/test_sssd_config-realm-ini-config.$(OBJEXT) \
	service/test_sssd_config-realm-sssd-config.$(OBJEXT) \
	service/test_sssd_config-realm-settings.$(OBJEXT) \
	$(am__objects_1)
test_sssd_config_OBJECTS = $(am_test_sssd_config_OBJECTS)
test_sssd_config_DEPENDENCIES = $(am__DEPENDENCIES_2)
test_sssd_config_LINK = $(CCLD) $(test_sssd_config_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I.
depcomp = $(SHELL) $(top_srcdir)/build/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade =  \
	./$(DEPDIR)/librealm_dbus_a-realm-dbus-generated.Po \
	service/$(DEPDIR)/frob_install_packages-realm-errors.Po \
