=== debian/changelog ===
realmd (0.17.1-3) unstable; urgency=medium

  * Team upload
  * Move systemd service file to /usr.
    Add a corresponding versioned Build-Depends on debhelper (>= 13.11.6) to
    ensure we have a recent enough dh_installsystemd. (Closes: #1054010)
  * Bump Standards-Version to 4.6.2

 -- Michael Biebl <biebl@debian.org>  Thu, 23 Nov 2023 08:33:02 +0100

realmd (0.17.1-2) unstable; urgency=medium

  * Team upload

  [ Gioele Barabucci ]
  * Install D-Bus policy in /usr instead of /etc
    realmd installs the `org.freedesktop.realmd.conf` policy
    in `/etc/dbus-1`. Since Debian 9 the standard directory for
    package-installed D-Bus policies is `/usr/share/dbus-1`.
    See: https://bugs.debian.org/1006631
    Fixes: lintian: dbus-policy-in-etc (Closes: #1040509)

 -- Michael Biebl <biebl@debian.org>  Fri, 07 Jul 2023 20:11:00 +0200

realmd (0.17.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.17.1
  * Rebase patches
  * Replace Build-Depends on intltool with gettext.
    Add polkitd to Build-Depends as its .loc and .its files are required
    when generating the translations of the policy files.
  * Bump Standards-Version to 4.6.1
  * Recommend polkitd instead of the transitional policykit-1
    (Closes: #1025585)
  * Fix mismatched lintian override

 -- Michael Biebl <biebl@debian.org>  Wed, 07 Dec 2022 18:34:32 +0100

realmd (0.17.0-2) unstable; urgency=medium

  * Team upload

  [ Andreas Hasenack ]
  * d/p/03_ldap-discovery-socket-timeout.patch: use a shorter timeout
    for the unbind request sent when finishing up the discovery phase
  * d/p/04_add-computer-name-to-manpage.patch: document the existing
    --computer-name command line option
  * d/p/05_dont-add-services-line.patch: in Ubuntu and Debian, the sssd_*
    services are socket activated and don't need a "services" line in
    sssd.conf (LP #1880157) (Closes: #1003620)
  * d/p/06_samba_415_update.patch, d/rules: update for net ads join
    command from samba 4.15 (LP: #1961443)

  [ Jeremy Bicha ]
  * Build-Depend on debhelper-compat 13

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 17 Jun 2022 13:33:21 -0400
